#earnings_release h1 span {
    float: right;
}

#earnings_release tfoot select {
    width: 40px;
}

#earnings_release div.float_right p.align_right label {
    float: left;
    width: 43px;
    text-align: left;
    line-height: 13px;
    margin-top: 1px;
    margin-right: 5px;
}

#earnings_release div.float_right p.align_right input[type=text] {
    width: 110px !important;
    margin-top: 0 !important;
    height: 24px;
}

#earnings_release div.float_right a#date_pick {
    position: absolute;
    right: 4px;
    top: 2px;
}

#earnings_release div.float_right button#date_pick {
    position: absolute;
    right: 4px;
    top: 5px;
    background: transparent;
    border: 0;
    padding: 0;
}

#earnings_release div.float_right span.error-message {
    position: absolute;
    width: 310px;
    right: 0;
    top: 33px;
    font-size: 9pt;
    color: red;
}

#earnings_release #minical_place_holder>div.buttons {
    margin: 5px 0;
}

#earnings_release #minical_place_holder>div.buttons input {
    margin-left: 5px;
}

#earnings_release div ul.tabs {
    margin-top: 15px !important;
}

#earnings_calendar_events section {
    border-top: none;
}

#earnings_calendar_events h1 span {
    float: right;
}

.seven_col article {
    width: 82px;
    float: left;
}

#events_list table.DTFC_Cloned tbody {
    background-color: white;
}

#events_list ul.tabs {
    margin-top: 30px !important;
}

.events_for article {
    border: 1px solid #AFAFAF;
    margin: 10px 0 0 5px;
    overflow: hidden;
    border-radius: 6px;
}

.events_for article header {
    padding: 5px 0 5px 5px;
    border-bottom: 1px solid #AFAFAF;
    width: 77px;
    float: left;
}

.events_for article header h1 {
    font-size: 13pt;
    color: #4B4B4B;
}

.events_for article.event_select {
    border: 1px solid #017316;
}

.events_for article.event_select header {
    border-bottom: 1px solid #017316;
    background: #E8FBEB;
}

.events_for article.event_select header h1 {
    color: #017316;
}

.events_for article content {
    height: 155px;
    width: 82px;
    float: left;
}

.events_for article content p,
.events_for article content p+p {
    margin: 0 !important;
    padding: 3px 0 0 1px !important;
    font-size: 7.9pt;
}

.prevnxt div {
    margin-top: 10px;
}

#cal_event_table table th,
#cal_event_table table td {
    border-top: 1px solid transparent;
    border-bottom: 1px solid #CACACA !important;
}

#earnings_calendar_events>span {
    position: absolute;
    top: 5px;
    right: 0
}

#nxtPrevBlock>div {
    width: 100%;
}

#prev_next div {
    float: left;
    width: 305px;
}

#prev_next div+div {
    margin-left: 15px !important;
}

#prev_next a {
    font-size: 8pt;
}


#minical_place_holder {
    z-index: 9999999;
    border: 1px solid #cacaca;
    padding: 0 10px;
    right: 0;
    top: 30px;
}

.width200 {
    width: 200px;
}

.dataTable th,
.dataTable td {
    border-bottom: 1px solid #CACACA !important;
}

.sb_trans {
    height: 1000px;
    width: 990px;
}

.sb_trans {
    background: url('/images/zacks/transparentgif1x1.png') repeat left top;
    display: none;
    position: absolute;
}

.pagination>div {
    float: right !important;
}

.pagination>div>div {
    display: inline;
    float: left;
    padding: 0 10px 0 0;
}


/*events_list icons wrapper*/
#events_list .dt-buttons {
    position: absolute;
    right: 0;
    top: -67px;
    width: 70px;
}

#events_list .dt-buttons a.buttons-copy {
    background: url("/images/zacks/icons/copy-v2.png") no-repeat left top;
    opacity: 0.8;
}
#events_list .dt-buttons a.buttons-copy:hover {
    opacity: 1;
}


#events_list .dt-buttons a.buttons-csv {
    background: url("/images/zacks/icons/csv-v2.png") no-repeat left top;
    opacity: 0.8;
}
#events_list .dt-buttons a.buttons-csv:hover {
    opacity: 1;
}


#events_list .dt-buttons a.buttons-print {
    background: url("/images/zacks/icons/print-v2.png") no-repeat left top;
    opacity: 0.8;
}
#events_list .dt-buttons a.buttons-print:hover {
    opacity: 1;
}

#events_list .dt-buttons a.buttons-copy,
#events_list .dt-buttons a.buttons-csv,
#events_list .dt-buttons a.buttons-print {
    width: 20px;
    height: 20px;
    margin-left: 0.7rem;
    float: left;
    cursor: pointer;
}

#events_list .dt-buttons a span {
    display: none;
}

#events_list .dt-buttons a:hover span {
    display: block;
    position: absolute;
    top: -24px;

    border: 1px solid #a2a2a2;
    color: #000;
    font-size: 9pt;
    background: #d0d0d0;

    padding: 2px 4px;
    border-radius: 3px;
}

#events_list .dataTables_scrollHeadInner table th:first-child,
#events_list .dataTables_scrollHeadInner table th:nth-child(2) {
    text-align: left !important;
}

#events_list .dataTables_scrollBody table#earnings_rel_data_all_table td:first-child,
#events_list .dataTables_scrollBody table#earnings_rel_data_all_table td:nth-child(2) {
    text-align: left !important;
}

#events_list .dataTables_scrollBody table#earnings_rel_data_all_table td.dataTables_empty {
    text-align: center !important;
}

#events_list .dataTables_length select {
    width: 100px;
}

#events_list .sorting {
    padding-right: 4px !important;
    background-image: inherit !important;
}

#events_list .sorting_asc,
.DTFC_LeftHeadWrapper th {
    padding-right: 16px !important;
}

#events_list .sorting_desc {
    padding-right: 26px !important;
}

#events_list .DTFC_ScrollWrapper {
    height: 100% !important;
}

#events_list .DTFC_LeftBodyLiner {
    overflow-y: hidden !important;
}

#events_list .dataTables_scrollHeadInner table thead th:first-child.sorting_asc,
#events_list .dataTables_scrollHeadInner table thead th:first-child.sorting_desc {
    background: none !important;
    background-image: inherit !important;
}

#events_list .DTFC_LeftHeadWrapper {
    overflow: visible;
}

#events_list .DTFC_LeftBodyLiner table tbody tr:first-child td.highlight {
    background: #dfdfdf;
}


/*Calendar Serach*/
.earnings_serach {
    position: absolute;
    height: 45px;
    top: 0;
    right: 30px;
}

#main_content .earnings_serach input[type=text] {
    width: 130px;
    padding: 5px 29px 4px 9px;
    outline: none;
}

#main_content .earnings_serach input[type=button].search {
    position: absolute;
    top: 5px;
    left: 139px;
    height: 26px;

    background: url("/images/icons/general/search_ico.png") no-repeat center center;
    border: none;
    width: 30px;
    outline: none;
}

#earnings_calendar_events #disp_msg {
    position: absolute;
    right: 30px;
    top: 33px;
    color: #f00;
    font-size: 9pt;
    font-weight: bold;
}

#earnings_calendar_events #nxtPrevBlock .prenext_txt.align_right {
    float: right;
}

#events_list .DTFC_RightBodyLiner {
    overflow-y: inherit !important;
}

.text_capitalize {
    text-transform: capitalize;
}

/*alignment*/
/* #earnings_rel_data_all_table_wrapper table.dataTable thead th.alpha:first-child, #earnings_rel_data_all_table_wrapper table.dataTable tbody td.alpha:first-child {
	padding-left:2px;
	padding-right:2px;
} */
/*fixing sorting issues*/
/*#events_list div.dataTables_scrollHeadInner th.sorting_asc, #events_list div.dataTables_scrollHeadInner th.sorting_desc {
	background-image: none !important;
}
#events_list div.dataTables_scrollHeadInner th.sorting_desc:after {
	content:"";
	display:inline-block;
	height:14px;
	width:24px;
    background-image: url(/images/sort/sort_desc.png) !important;
    background-repeat: no-repeat !important;
    background-position: center right !important;
	position:absolute;
	right:0;
}
#events_list div.dataTables_scrollHeadInner th.sorting_asc:after {
	content:"";
	display:inline-block;
	height:14px;
	width:24px;
    background-image: url(/images/sort/sort_asc.png) !important;
    background-repeat: no-repeat !important;
    background-position: center right !important;
	position:absolute;
	right:0;
}
#events_list div.dataTables_scrollHeadInner .dataTable th {
	position:relative;
}*/
/*#events_list div.dataTables_scrollHeadInner [aria-label = "Non Financial Metric: activate to sort column ascending"], #events_list div.dataTables_scrollHeadInner [aria-label = "Non Financial Metric: activate to sort column descending"] {
	width: 70px !important;
}*/
#events_list div.dataTables_scrollHeadInner [aria-label="Company: activate to sort column ascending"],
#events_list div.dataTables_scrollHeadInner [aria-label="Company: activate to sort column descending"],
#events_list div.dataTables_scrollHeadInner [aria-label="Period: activate to sort column ascending"],
#events_list div.dataTables_scrollHeadInner [aria-label="Period: activate to sort column descending"] {
    padding-right: 16px !important;
}

/*fixing for non commercial metrics*/
#earnings_rel_data_all_table_wrapper table.dataTable thead th.alpha.sorting_desc:first-child,
#earnings_rel_data_all_table_wrapper table.dataTable thead th.alpha.sorting_asc:first-child {
    width: 40px !important;
    padding-right: 18px !important;
}

#events_list th.non_fin_metrics_col.sorting {
    /*padding-right: 78px !important;*/
    padding-left: 14px;
}

#events_list th.non_fin_metrics_col.sorting_asc,
#events_list th.non_fin_metrics_col.sorting_desc {
    /*width: 125px !important;*/
    padding-right: 10px !important;
    padding-left: 10px !important;
}

#events_list td.non_fin_metrics_col.sorting_1 {
    /*width: 100px !important;*/
    padding-left: 30px !important;
}

#events_list td.non_fin_metrics_col {
    /*width:90px;*/
    padding-right: 10px !important;
    padding-left: 25px !important;
}

/* datatable properties for buttons */
#events_list .dt-buttons a.buttons-copy,
#events_list .dt-buttons a.buttons-csv,
#events_list .dt-buttons a.buttons-print {
    margin-left: 2px;
}

/* scope atrribute added */
/* #earnings_rel_data_all .DTFC_LeftBodyLiner table.dataTable.display tbody tr th {
    padding: 8px 2px;
} */

@media screen and (max-width:1023px) {
    .earnings_serach {
        position: relative;
        height: auto;
        right: inherit;
        top: inherit;
        float: left;
        margin-left: 10px;
    }

    #earnings_calendar_events .earnings_serach+span {
        /*left: 15px;*/
        width: auto;
        position: inherit;
        margin: 5px 10px;
    }

    #earnings_calendar_events #disp_msg {
        left: 14px;
        top: 88px;
    }

    #events_list ul {
        width: 99% !important;
    }

    #events_list ul li {
        margin-bottom: 5px;
    }

    #events_list ul li,
    #events_list ul li a {
        display: block;
    }

    #events_list ul li a {
        border-bottom: 1px solid #afafaf;
        background-image: inherit;
    }

    #events_list #earnings_rel_data_all .DTFC_LeftHeadWrapper {
        overflow: inherit !important;
    }

    #events_list .dataTables_scrollHeadInner table thead th:nth-child(2) {
        padding-left: 3px;
    }

    #footnote p {
        margin: 10px;
    }

    #events_list .dt-buttons {
        top: -30px;
    }

    #events_list .DTFC_ScrollWrapper {
        margin-top: 31px;
    }

    #events_list #earnings_rel_data_all_table_wrapper table.dataTable tbody td:first-child {
        padding-left: 4px;
    }

    #events_list #earnings_rel_data_all_table_wrapper table.dataTable tbody td:first-child>a.hoverquote-container-od {
        padding: 0;
    }

    #earnings_release div.float_right {
        float: left;
        width: 100%;
        text-align: center;
        margin-bottom: 30px;
        display: block;
    }

    #earnings_release div.float_right p.align_right {
        text-align: center;
        position: relative;
    }

    #earnings_release div.float_right p.align_right label {
        float: none;
        width: auto;
    }

    #earnings_release div.float_right span.error-message {
        top: 30px;
    }

    #earnings_release div.float_right a#date_pick {
        position: relative;
        right: 34px;
        top: 6px;
    }

    #earnings_release #minical_place_holder table {
        max-width: inherit;
    }
}


@media screen and (min-width:1024px) {
    #earnings_calendar_events h1#WeeklyEventsTitle {
        text-align: left;
    }

    .events_for article content {
        display: block !important;
    }

    #events_list .DTFC_LeftHeadWrapper {
        overflow: inherit !important;
    }

    #events_list .DTFC_LeftHeadWrapper table thead {
        /*background-color: inherit;*/
    }

    #events_list .dataTables_scrollBody table tbody td:nth-child(2) {
        padding-left: 10px !important;
    }

    #events_list .DTFC_LeftBodyLiner table tbody tr,
    #events_list .DTFC_LeftBodyLiner table tbody tr.odd {
        background: transparent;
    }

    #events_list .dataTables_scrollBody table tbody td:nth-child(7) {
        padding-right: 0;
    }

    #events_list .dataTables_scrollBody table tbody td:nth-child(7) div {
        white-space: nowrap;
    }

    #earnings_calendar_events>span {
        left: inherit;
        width: auto;
        margin: 0;
    }
}

/* fixed datatable for mobile view of earnings calendar table */
#earnings_rel_data_all_table_wrapper .DTFC_LeftHeadWrapper table.dataTable thead th:first-child {
    background-color: #fafafa;
}

#earnings_rel_data_all_table_wrapper .dataTables_scrollBody table tbody tr td {
    overflow: inherit;
    text-overflow: inherit;
}

#earnings_rel_data_all_table_wrapper .DTFC_LeftBodyLiner table tbody tr th,
#earnings_rel_data_all_table_wrapper .dataTables_scrollBody table tbody tr td,
#earnings_rel_data_all_table_wrapper .dataTables_scrollBody table tbody tr th {
    height: 28px !important;
    min-height: 28px !important;
    max-height: 28px !important;
}

#earnings_rel_data_all_table_wrapper .DTFC_LeftWrapper,
#earnings_rel_data_all_table_wrapper .DTFC_LeftBodyWrapper .DTFC_LeftBodyLiner {
    height: 100% !important;
}

#earnings_rel_data_all_table_wrapper .DTFC_LeftBodyWrapper .DTFC_LeftBodyLiner {
    max-height: 100% !important;
}

/* fixation for safari (Mac) & new changes */
#earnings_rel_data_all_table_wrapper .DTFC_LeftBodyWrapper {
    height: calc(100% - 45px) !important;
    height: -moz-calc(100% - 45px) !important;
    height: -webkit-calc(100% - 45px) !important;
}

#earnings_rel_data_all_table_wrapper .dataTables_wrapper .DTFC_ScrollWrapper {
    height: calc(100% + 150px) !important;
    height: -moz-calc(100% - 45px) !important;
    height: -webkit-calc(100% - 45px) !important;
}

#earnings_rel_data_all_table_wrapper .DTFC_LeftHeadWrapper,
#earnings_rel_data_all_table_wrapper .DTFC_LeftBodyWrapper {
    box-shadow: 10px 0 6px -6px rgba(192, 192, 192, 0.5);
}

#earnings_rel_data_all_table_wrapper .dataTables_scrollHeadInner table th,
#earnings_rel_data_all_table_wrapper .dataTables_scrollBody table td {
    padding: 8px 15px !important;
}

#earnings_rel_data_all_table_wrapper .dataTables_scrollBody table th {
    padding: 0px 15px !important;
}

#earnings_rel_data_all_table_wrapper .dataTables_scrollHeadInner table th:first-child,
#earnings_rel_data_all_table_wrapper .dataTables_scrollBody table td:first-child,
#earnings_rel_data_all_table_wrapper .dataTables_scrollBody table th[scope="row"],
#earnings_rel_data_all_table_wrapper .DTFC_LeftBodyLiner table tbody td:first-child,
#earnings_rel_data_all_table_wrapper .DTFC_LeftBodyLiner table tbody th[scope="row"] {
    min-width: 50px;
    max-width: 50px;
    width: 50px;
    padding: 8px 1px;
    text-align: left;
    border-top: 0;
}

#earnings_rel_data_all_table_wrapper .dataTables_scrollHeadInner table th:nth-child(2),
#earnings_rel_data_all_table_wrapper .dataTables_scrollBody table td:nth-child(2) {
    min-width: 140px;
    max-width: 140px;
}


#earnings_rel_data_all_table_wrapper .dataTables_scrollHeadInner table th:nth-child(3),
#earnings_rel_data_all_table_wrapper .dataTables_scrollBody table td:nth-child(3) {
    width: 45px !important;
    min-width: 45px;
    max-width: 45px;
}

#earnings_rel_data_all_table_wrapper .dataTables_scrollHeadInner table th:nth-child(4),
#earnings_rel_data_all_table_wrapper .dataTables_scrollBody table td:nth-child(4) {
    width: 34px !important;
    min-width: 34px;
    max-width: 34px;
}

#earnings_rel_data_all_table_wrapper .dataTables_scrollHeadInner table th:nth-child(5),
#earnings_rel_data_all_table_wrapper .dataTables_scrollBody table td:nth-child(5) {
    width: 55px !important;
    min-width: 55px;
    max-width: 55px;
}

#earnings_rel_data_all_table_wrapper .dataTables_scrollHeadInner table th:nth-child(6),
#earnings_rel_data_all_table_wrapper .dataTables_scrollBody table td:nth-child(6) {
    width: 58px !important;
    min-width: 58px;
    max-width: 58px;
}

#earnings_rel_data_all_table_wrapper .dataTables_scrollHeadInner table th:nth-child(7),
#earnings_rel_data_all_table_wrapper .dataTables_scrollBody table td:nth-child(7) {
    min-width: 54px;
    max-width: 54px;
    text-align: right;
}

#earnings_rel_data_all_table_wrapper .dataTables_scrollHeadInner table th:nth-child(8),
#earnings_rel_data_all_table_wrapper .dataTables_scrollBody table td:nth-child(8) {
    min-width: 42px;
    max-width: 42px;
}

#earnings_rel_data_all_table_wrapper .dataTables_scrollHeadInner table th:nth-child(9),
#earnings_rel_data_all_table_wrapper .dataTables_scrollBody table td:nth-child(9) {
    min-width: 49px;
    max-width: 49px;
}

#earnings_rel_data_all_table_wrapper .dataTables_scrollHeadInner table th:last-child,
#earnings_rel_data_all_table_wrapper .dataTables_scrollBody table td:last-child {
    min-width: 50px;
    max-width: 50px;
    text-align: center;
}

/*media query*/
/* from 320px to 567px */
@media(min-width: 320px) and (max-width: 567px) {
    #earnings_rel_data_all .dataTables_scrollBody table#earnings_rel_data_all_table.no_data.split_table {
        width: 450px !important;
    }

    #earnings_rel_data_all .dataTables_scrollBody table#earnings_rel_data_all_table.no_data.transcript_table {
        width: 500px !important;
    }

    #earnings_rel_data_all .dataTables_scrollBody table#earnings_rel_data_all_table.no_data tbody td.dataTables_empty {
        text-align: left !important;
        padding-left: 100px !important;
    }
}

/* from 568px */
@media(min-width: 568px) {

    #earnings_rel_data_all .dataTables_scrollBody table#earnings_rel_data_all_table.no_data.split_table,
    #earnings_rel_data_all .dataTables_scrollBody table#earnings_rel_data_all_table.no_data.transcript_table {
        width: 100% !important;
    }

    #earnings_rel_data_all .dataTables_scrollBody table#earnings_rel_data_all_table.no_data.split_table tbody td.dataTables_empty,
    #earnings_rel_data_all .dataTables_scrollBody table#earnings_rel_data_all_table.no_data.transcript_table tbody td.dataTables_empty {
        padding-left: 100px !important;
    }
}

/* upto 1023px */
@media (max-width:1023px) {
    #earnings_rel_data_all .dataTables_scrollBody table#earnings_rel_data_all_table.no_data {
        width: 950px !important;
    }

    #earnings_rel_data_all_table_wrapper table.dataTable tbody td {
        font-size: 10pt;
    }

    #earnings_rel_data_all_table_wrapper table.dataTable thead th>button {
        font-size: 8pt;
    }

    #earnings_rel_data_all_table_wrapper {
        overflow: auto;
        width: 100%;
        margin: 0;
    }

    #earnings_rel_data_all_table_wrapper div.dataTables_wrapper {
        float: left;
        width: 100%;
    }

    #earnings_rel_data_all_table_wrapper div.dataTables_wrapper {
        margin-top: 10px;
    }
}

/* single table's properties for desktop view of earnings calendar table */
@media (min-width:1024px) {

    #earnings_rel_data_all_table_wrapper table thead tr th,
    #earnings_rel_data_all_table_wrapper table tbody tr td,
    #earnings_rel_data_all_table_wrapper table tbody tr th {
        height: 28px !important;
        min-height: 28px !important;
        max-height: 28px !important;
    }

    #earnings_rel_data_all_table_wrapper table tbody tr th:first-child,
    #earnings_rel_data_all_table_wrapper table tbody tr td:nth-child(2) {
        text-align: left;
    }

    #earnings_rel_data_all_table_wrapper table tbody tr th:first-child {
        padding-left: 1px;
    }

    #earnings_rel_data_all_table_wrapper .earnings_table_container {
        overflow-x: auto;
    }
}

/* earnings report table fixation after merging */

@media(min-width: 1024px) {
    #earnings_release table thead th {
        border-bottom: 2px solid #cacaca !important;
    }

    #earnings_release table thead th,
    #earnings_release table tbody td {
        padding: 8px 3px;
    }

    #earnings_release table thead th:first-child {
        width: 40px !important;
        padding-right: 18px !important;
    }

    #earnings_release div.float_right {
        position: absolute;
        right: 0;
        top: 14px;
    }

    #earnings_release h2.module_heading {
        margin-bottom: 0;
    }
}

@media (max-width:567px) {
    #earnings_release .dataTables_wrapper .dataTables_scrollBody td.dataTables_empty {
        transform: translateX(50%);
        position: relative;
        left: -70%;
    }
}

@media (max-width: 1023px) {
    #earnings_release div.float_right button#date_pick {
        position: relative;
        right: 34px;
    }

    .tab_container_earnings_release .ui-tabs-panel {
        overflow: inherit;
    }

    #earnings_release .dataTables_wrapper table.dataTable tbody td,
    #earnings_release .dataTables_wrapper table.dataTable thead th {
        padding: 8px 4px;
    }

    #earnings_release .DTFC_LeftBodyLiner table.dataTable.display tbody tr th {
        padding: 8px 2px;
    }

    #earnings_release .DTFC_LeftHeadWrapper table.dataTable thead th.sorting_desc,
    #earnings_release .DTFC_LeftHeadWrapper table.dataTable thead th.sorting_asc {
        width: 40px !important;
        padding-right: 18px !important;
    }

    #earnings_release .DTFC_LeftBodyLiner table.dataTable.display tbody tr th {
        min-width: 40px;
        max-width: 40px;
    }
}

/* fixing week calendar's event */

@media(min-width: 1024px) and (max-width: 1199px) {

    /* from 1024px to 1199px */
    .seven_col article {
        width: 80px;
        float: left;
    }
}

/*** earnings report visual changes and publish cta button styling ***/

#earnings_release h2#heading.module_heading {
    width: auto;
    float: left;
    padding-right: 10px;
    padding-top: 10px;
}

@media(max-width: 1023px) {
    #earnings_release div.float_right {
        margin-bottom: 10px;
    }

    #earnings_release h2#heading.module_heading {
        width: 100% !important;
        text-align: center !important;
    }
}


@media(min-width: 992px) {
    #earnings_release div.float_right+div {
        width: 100%;
        float: left;
        padding-top: 20px;
    }
}

/* publish buttons for earnings report data via data table controls */

/* data table cta button icons */
#earnings_release .dt-buttons a.buttons-copy {
    background: url(/images/zacks/icons/copy-v2.png) no-repeat left top;
    opacity: 0.8;
}
#earnings_release .dt-buttons a.buttons-copy:hover {
    opacity: 1;
}

#earnings_release .dt-buttons a.buttons-csv {
    background: url(/images/zacks/icons/csv-v2.png) no-repeat left top;
    opacity: 0.8;
}
#earnings_release .dt-buttons a.buttons-csv:hover {    
    opacity: 1;
}

#earnings_release .dt-buttons a.buttons-print {
    background: url(/images/zacks/icons/print-v2.png) no-repeat left top;
    opacity: 0.8;
    
}
#earnings_release .dt-buttons a.buttons-print:hover {
    opacity: 1;
}

#earnings_release .dt-buttons a {
    width: 20px;
    height: 20px;
    margin-left: 0.7rem;
    float: left;
    cursor: pointer;
    border: none;
    font-size: 0;
    text-indent: -999px;
}

#earnings_release .dt-buttons a.dt-button.buttons-print {
    position: inherit;
}

@media(max-width: 1024px) {
    #earnings_release .dt-buttons{
        float: right !important;
        margin-right: 10px;
    }

    #earnings_release .dt-buttons a.buttons-print
    , #earnings_release .dt-buttons a.buttons-print:hover {
        display: none;
    }
}

@media(min-width: 1024px) {
    table#earnings_rel_table_earnings_rel_all{        
        margin-top: 50px;
    }
}

@media(min-width: 320px) {

    #earnings_release .dataTables_wrapper>.dt-buttons {
        float: left;
        padding-right: 0;
        padding-bottom: 10px;
        padding-top: 10px;
    }

}


@media(min-width: 992px) {
    #earnings_release .dataTables_wrapper>.dt-buttons {
        float: right;
        padding-bottom: 20px;
        padding-top: 20px;
    }

    #earnings_release .dt-buttons a.buttons-copy,
    #earnings_release .dt-buttons a.buttons-print {
        display: inline-block;
    }
}

/* positioning publish buttons beside the tab section on the right side for desktop */
@media(min-width: 992px) {
    #earnings_release div.float_right+div .ui-tabs-panel {
        position: relative;
        overflow: visible;
    }

    #earnings_release .dt-buttons {
        position: absolute;
        top: -51px;
        z-index: 1;
        right: 0;
        width: 100px;
    }
}

/* EOF */